Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class PlaceholderRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.PlaceholderRendererBase

Direct Known Subclasses:
  PlaceholderRenderer

    public abstract class PlaceholderRendererBase

extends RendererBase

Field Summary
`static String` | `RENDERER_TYPE`

Constructor Summary
`PlaceholderRendererBase()`

Method Summary
`void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom finish encoding of concrete renderer.
`void` | `encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`String` | `getConvertedValue(javax.faces.context.FacesContext facesContext, AbstractPlaceholder placeholder)`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeChildren, encodeBegin, encodeChildren, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RENDERER_TYPE

    public static final String RENDERER_TYPE

See Also:
  Constant Field Values

Constructor Detail

### PlaceholderRendererBase

    public PlaceholderRendererBase()

Method Detail

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext context,
                          javax.faces.component.UIComponent component)
                   throws IOException

  Overrides:
    `encodeEnd` in class `RendererBase`
  Throws:
    `IOException`

### doEncodeEnd

    public void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                            javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                     throws IOException

  Description copied from class: `RendererBase`
  Template method for custom finish encoding of concrete renderer. All parameters checking and writer is performed in original `encodeEnd` method.

  Overrides:
    `doEncodeEnd` in class `RendererBase`
  Throws:
    `IOException`

### getConvertedValue

    public String getConvertedValue(javax.faces.context.FacesContext facesContext,
                                    AbstractPlaceholder placeholder)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.